<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_nicepage
 */

defined('_JEXEC') or die;

/**
 * Style function for blocks on the page
 *
 * @param object $module  Current module
 * @param array  $params  Module parameters
 * @param array  $attribs Module statement attributes
 */
function modChrome_upstylefromplugin($module, &$params, &$attribs) {
    $number = $attribs['iterator'];
    $result = NicepageModelsSections::$blockLayouts[$number];
    if (!empty($module->content) && $result) {
        if ($module->showtitle != 0) {
            $result = preg_replace('/<\!--block_header_content-->[\s\S]+?<\!--\/block_header_content-->/', $module->title, $result);
        } else {
            $result = preg_replace('/<\!--block_header-->[\s\S]+?<\!--\/block_header-->/', '', $result);
        }
        $result = preg_replace('/<\!--block_content_content-->[\s\S]+?<\!--\/block_content_content-->/', $module->content, $result);
        $result = preg_replace('/<\!--\/?block\_?(header|content)?-->/', '', $result);
        echo $result;
    }
}