<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_nicepage
 */

defined('_JEXEC') or die;

/**
 * Class NicepageViewsConfigHtml
 */
class NicepageViewsConfigHtml extends JViewHtml
{
    /**
     * Render config html page
     *
     * @return string
     */
    function render()
    {
        $this->adminUrl = dirname(dirname((JURI::current()))) . '/administrator';
        JToolbarHelper::title(JText::_('COM_NICEPAGE_CONFIGURATION'), 'equalizer nicepage config');
        $params = NicepageHelpersNicepage::getConfig();
        $this->checked = isset($params['jquery']) && $params['jquery'] == '1' ? 'checked' : '';
        $this->autoResponsive = 'checked'; //default value
        if (isset($params['autoResponsive'])) {
            $this->autoResponsive = $params['autoResponsive'] == '1' ? 'checked' : '';
        }
        //display
        return parent::render();
    }
}